﻿<?xml version="1.0" encoding="utf-8" ?>
<ViewModel xmlns="http://www.netkoders.com/Schemas/Generation/Business/ViewModel"
           xmlns:maximus="http://www.netkoders.com/Schemas/Generation/Maximus">
  <Contract>

    <Property Name="UserId" Type="string" />
    <Property Name="Title" Type="string" />
    <Property Name="Name" Type="string" />
    <Property Name="SurName" Type="string" />
    <Property Name="Email" Type="string" />
    <Property Name="IsChangeChecked" Type="bool"/>
    <Property Name="IsCreateChecked" Type="bool"/>
    <Property Name="IsDeleteChecked" Type="bool"/>
    <!-- Change user -->
    <Property Name="IsChanging" Type="bool" />
    <!-- Create new user -->
    <Property Name="IsCreation" Type="bool" />
    <Property Name="EnableMe" Type="bool"/>
    <Property Name="DisableMe" Type="bool"/>
    <Property Name="EnableSomeoneElse" Type="bool"/>
    <Property Name="DisableSomeOneElse" Type="bool"/>
    <!-- Delete user -->
    <Property Name="IsDeleting" Type="bool" />
    <Property Name="ShowOrganizationPicker" Type="bool" />
    <Property Name="ShowEmail" Type="bool" />
    <!-- Save user information on this VM -->
    <Property Name="CurrentUserProfileInfos" Type="MyADA.Common.Services.Models.CurrentUserProfile" />
    <!-- Picker -->
    <Property Name="PlaceHolderForSomeOneElsePicker" Type="string" />
    <Property Name="DefaultPlaceHolderForSomeOneElsePicker" Type="string" />
    <Property Name="HeaderTextHolderForSomeOneElsePicker" Type="string" />
    <Property Name="PlaceHolderForTitlePicker" Type="string" />
    <Property Name="DefaultPlaceHolderForTitlePicker" Type="string" />
    <Property Name="HeaderTextHolderForTitlePicker" Type="string" />
    <Property Name="PlaceHolderForPositionPicker" Type="string" />
    <Property Name="DefaultPlaceHolderForPositionPicker" Type="string" />
    <Property Name="HeaderTextHolderForPositionPicker" Type="string" />
    <Property Name="PlaceHolderForOrganizationPicker" Type="string" />
    <Property Name="DefaultPlaceHolderForOrganizationPicker" Type="string" />
    <Property Name="HeaderTextHolderForOrganizationPicker" Type="string" />
    <Property Name="PlaceHolderForDomainOfActionsPicker" Type="string" />
    <Property Name="DefaultPlaceHolderForDomainOfActionsPicker" Type="string" />
    <Property Name="HeaderTextHolderForDomainOfActionsPicker" Type="string" />
    <Property Name="SeletedShowroom" Type="MyADA.Common.Services.Models.ShowroomModels" />
    

    <!-- Collections -->
    <Collection Name="UsersCollections" ItemType="MyADA.Common.Services.Models.UserInfos" />
    <Collection Name="PositionCollections" ItemType="MyADA.Common.Services.Models.PositionModel" />
    <Collection Name="ShowRoomCollections" ItemType="MyADA.Common.Services.Models.ShowroomModels" />
    <Collection Name="UserTitleCollections" ItemType="MyADA.Common.Services.Models.UserTitle" />
    <Collection Name="DomainOfActionsCollections" ItemType="DomainOfActionViewModelItem" />




    <!-- Commands -->
    <Command Name="ShowMyInfosCommand" />
    <Command Name="ShowChangeRequestViewCommand" />
    <Command Name="SelectUserCommand" />
    <Command Name="SelectTitleCommand" />
    <Command Name="SelectUserPositionCommand" />
    <Command Name="SelectUserOrganizationCommand" />
    <Command Name="SelectUserDomainOfActionsCommand" />
    <Command Name="SendRequestionCommand" />
    <Command Name="ChangeCommand" />
    <Command Name="CreateCommand" />
    <Command Name="DeleteCommand" />
    <Command Name="ChangeRequestCommand"/>
    <Command Name="CreateRequestCommand"/>
    <Command Name="DeleteRequestCommand"/>
    
  </Contract>
</ViewModel>